%global srcname Genshi

Summary:        Toolkit for stream-based generation of output for the web
Name:           python-genshi
Version:        0.7.7
Release:        7%{?dist}
License:        BSD
URL:            https://genshi.edgewall.org/
Source0:        %pypi_source

BuildRequires:  gcc python3-devel

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%package -n python3-genshi
Summary:        Toolkit for stream-based generation of output for the web

%description -n python3-genshi
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.


%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf %{modname}.egg-info
find examples -type f | xargs chmod a-x
%generate_buildrequires
%pyproject_buildrequires -x i18n


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files genshi
sed -i -e '/\/tests/d' %{pyproject_files}
sed -i -e '/_speedups.c/d' %{pyproject_files}


%check
%{python3} setup.py test


%files -n python3-genshi -f %{pyproject_files}
%doc ChangeLog doc examples README.txt
%{python3_sitearch}/genshi/_speedups.*.so
%exclude %{python3_sitearch}/genshi/{_speedups.c,tests}
%exclude %{python3_sitearch}/genshi/{filters,template}/tests


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Miaojun Dong <zoedong@tencent.com> - 0.7.7-1
- initial build
